<!DOCTYPE html>
<html>

<head>
    <link href="../../../resources/css/bootstrap.min.css" rel="stylesheet" media="screen" th:href="@{/resources/css/bootstrap.min.css}"/>
    <script src="../../../resources/js/jquery-2.2.3.min.js" th:src="@{/resources/js/jquery-2.2.3.min.js}"></script>
    <script src="../../../resources/js/bootstrap.min.js"></script>
</head>
<body>

<!-- Navbar -->
<div class="navbar navbar-inverse navbar-fixed-top" th:fragment="header">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".nav-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="#" th:href="@{/}">ARM </a>
        </div>
        <div class="navbar-collapse collapse">
            <ul  class="nav navbar-nav" th:if="${#authorization.expression('isAuthenticated()')}">  <!--Pregunta si esta autenticado -->
                <li th:classappend="${page == 'home' ? 'active' : ''}"><a href="#" th:href="@{/}">Home</a></li> <!--classappend injecta CSS dinamico -->
                <!--<li sec:authorize="hasRole('ROLE_ADMIN')" th:classappend="${page == 'websocket' ? 'active' : ''}"><a href="#" th:href="@{/websocket}">WebSocket</a></li>-->
                <li sec:authorize="hasRole('ROLE_ADMIN')" th:classappend="${page == 'usuarios' ? 'active' : ''}"><a href="#" th:href="@{/users}">Usuarios</a></li>
            </ul>
            <ul class="nav navbar-nav navbar-right">
                <li th:if="${#authorization.expression('!isAuthenticated()')}"><a href="/signin" th:href="@{/signin}">Sign in</a></li>
                <li th:if="${#authorization.expression('isAuthenticated()')}"><a href="/logout" th:href="@{/logout}">Logout</a></li>
            </ul>
        </div>
        <!--/.nav-collapse -->
    </div>
</div>
</body>
</html>